.dock-box {
  grid-area: dock;
  display: flex;
  align-items: center;
  justify-content: center;
}

.dock {
  display: flex;
  justify-content: space-between;
  background-color: var(--primary-700);
  max-width: 44rem;
  width: 100%;
  padding: 1.6rem 2.8rem;
  border-radius: 4rem;

  box-shadow: 0px 0px 17px 0px rgba(0, 0, 0, 0.33) inset;

  &_item {
    height: 4.4rem;
    width: 4.4rem;

    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;

    flex-grow: 0;

    border: none;
    background-color: transparent;
    display: block;
    transition: all 0.2s;
    padding: 0;

    &_icon {
      width: 100%;
      height: 100%;
      fill: var(--grey-700);
      transition: all 0.2s, transform 0.1s;
      cursor: pointer;

      &.active {
        filter: drop-shadow(0.4rem 0.4rem 0.2rem rgba(0, 0, 0, 0.8));
        fill: var(--grey-400);
      }

      &:hover {
        filter: drop-shadow(0rem 0rem 0.6rem rgba(255, 255, 255, 0.4));
      }

      &:active {
        filter: drop-shadow(0rem 0rem 0.6rem rgba(255, 255, 255, 0.8));
        transform: scale(1.1);
      }
    }
  }
}
